/// @description Setup coin particle system

image_xscale = 3;
image_yscale = image_xscale;

//create particle system
particleSystem = part_system_create()
part_system_depth(particleSystem, 10);

particleEmitter = part_emitter_create(particleSystem);
part_emitter_region(particleSystem, particleEmitter, x - (sprite_width / 2), x + 3 + (sprite_width / 2), y - (sprite_height / 2), y + 3 + (sprite_height / 2), ps_shape_ellipse, ps_distr_invgaussian);
part_emitter_stream(particleSystem, particleEmitter, global.part_final_coin, 1);