/// @description Successful grapple shot

if (instance_exists(obj_player)) {
	pivot = instance_nearest(x, y, obj_grappling_point);
	obj_player.pivot = pivot;
	obj_player.isGrappling = 1;
	obj_player.currentAngle = point_direction(obj_player.x, obj_player.y, pivot.x, pivot.y) + 180;
	obj_player.grapplingDistance = point_distance(obj_player.x, obj_player.y, pivot.x, pivot.y);
	audio_play_sound(snd_grapple_landed, 0, 0);
}

with (obj_grappling_hook) {
	instance_destroy();
}

instance_create_layer(0, 0, "background", obj_draw_grappling_hook);