/// @description Save

if (y > other.y) {
	if (!active) {
		active = 1;
		part_emitter_clear(particleSystem, particleEmitter);
		part_emitter_region(particleSystem, particleEmitter, x, x + sprite_width, y, y, ps_shape_line, ps_distr_linear);
		part_emitter_stream(particleSystem, particleEmitter, global.part_savePoint_active, 1);
		instance_create_layer(x - 20, y - 20, "foreground", obj_saveText);
		audio_play_sound(snd_save, 0, 0);
		scr_save(self);
	}
	
	var i;
	for (i = 0; i < instance_number(obj_checkpoint); i++) {
		point = instance_find(obj_checkpoint, i);
		if (point != self) {
			part_emitter_clear(point.particleSystem, point.particleEmitter);
			part_emitter_region(point.particleSystem, point.particleEmitter,
				point.x, point.x + sprite_width, point.y, point.y, ps_shape_line, ps_distr_linear);
			part_emitter_stream(point.particleSystem, point.particleEmitter, global.part_savePoint_idle, 1);
			point.active = 0;	
		}
	}
}