/// @description Coinlock interaction

var cl = instance_nearest(x, y, obj_coinlock);

if (cl.coinsNeeded <= global.coinCount) {
	//destroy lock and subtract coins
	audio_play_sound(snd_cl_unlock, 0, 0);
	global.coinCount -= cl.coinsNeeded;
	
	with (cl) {
		instance_destroy();
	}
} else {
	if (!playedSound) {
		playedSound = 1;
		alarm[1] = 90;
		cl.coinsNeeded -= global.coinCount;
		global.coinCount = 0;
		audio_play_sound(snd_cl_locked, 0, 0);
	}
}

scr_calculateNewPlayerSpeed();