/// @description Wall collision

if (!place_free(x + hspeed, y)) {
	//horizontal collision
	if (hspeed > 0) {
		//right wall
		move_contact_solid(0, abs(hspeed));
	} else {
		//left wall
		move_contact_solid(180, abs(hspeed));
	}
	hspeed = 0;
}

if (!place_free(x, y + vspeed)) {
	//vertical collision
	if (vspeed > 0) {
		//floor
		move_contact_solid(270, abs(vspeed));
		alarm[0] = -1;
		onGround = 1;
		padJump = 0;
		gravity = 0;
	} else {
		//ceiling
		move_contact_solid(90, abs(vspeed));
	}
	vspeed = 0;
}

if (!place_free(x + hspeed, y + vspeed)) {
	vspeed = 0;
	y -= 10;
}