// Create particle types

//save point particles
global.part_savePoint_idle = part_type_create();
part_type_alpha2(global.part_savePoint_idle, 0.5, 0);
part_type_blend(global.part_savePoint_idle, true);
part_type_direction(global.part_savePoint_idle, 80, 100, 0, 0);
part_type_life(global.part_savePoint_idle, 15, 30);
part_type_shape(global.part_savePoint_idle, pt_shape_disk);
part_type_color_rgb(global.part_savePoint_idle, 255, 255, 255, 255, 255, 255);
part_type_speed(global.part_savePoint_idle, 0.5, 1, -0.01, 0);
part_type_scale(global.part_savePoint_idle, 0.02, 0.02);

global.part_savePoint_active = part_type_create();
part_type_alpha2(global.part_savePoint_active, 1, 0);
part_type_blend(global.part_savePoint_active, true);
part_type_direction(global.part_savePoint_active, 80, 100, 0, 0);
part_type_life(global.part_savePoint_active, 15, 30);
part_type_shape(global.part_savePoint_active, pt_shape_disk);
part_type_color_rgb(global.part_savePoint_active, 100, 255, 100, 255, 100, 255);
part_type_speed(global.part_savePoint_active, 0.5, 1, -0.01, 0);
part_type_scale(global.part_savePoint_active, 0.03, 0.03);

global.part_coin = part_type_create();
part_type_alpha2(global.part_coin, 1, 0);
part_type_blend(global.part_coin, true);
part_type_direction(global.part_coin, 0, 359, 0, 0);
part_type_life(global.part_coin, 15, 30);
part_type_shape(global.part_coin, pt_shape_pixel);
part_type_color_hsv(global.part_coin, 30, 50, 80, 100, 90, 110);
part_type_speed(global.part_coin, 0.05, 0.1, -0.001, 0);
part_type_scale(global.part_coin, 2, 2);

global.part_lava = part_type_create();
part_type_alpha2(global.part_lava, 1, 0);
part_type_blend(global.part_lava, true);
part_type_direction(global.part_lava, 80, 100, 0, 0);
part_type_life(global.part_lava, 30, 50);
part_type_shape(global.part_lava, pt_shape_disk);
part_type_color_hsv(global.part_lava, 15, 35, 85, 105, 90, 110);
part_type_speed(global.part_lava, 2, 3, -0.01, 0);
part_type_scale(global.part_lava, 0.05, 0.05);

global.part_spike = part_type_create();
part_type_alpha2(global.part_spike, 1, 0);
part_type_blend(global.part_spike, true);
part_type_direction(global.part_spike, 80, 100, 0, 0);
part_type_life(global.part_spike, 10, 20);
part_type_shape(global.part_spike, pt_shape_pixel);
part_type_color1(global.part_spike, c_white);
part_type_speed(global.part_spike, 0.4, 1.2, -0.01, 0);
part_type_scale(global.part_spike, 2, 2);

global.part_spring = part_type_create();
part_type_alpha2(global.part_spring, 0.5, 0);
part_type_blend(global.part_spring, true);
part_type_direction(global.part_spring, 80, 100, 0, 0);
part_type_life(global.part_spring, 15, 30);
part_type_shape(global.part_spring, pt_shape_disk);
part_type_color_hsv(global.part_spring, 33, 73, 68, 108, 230, 255);
part_type_speed(global.part_spring, 0.5, 1, -0.01, 0);
part_type_scale(global.part_spring, 0.02, 0.02);

global.part_final_coin = part_type_create();
part_type_alpha2(global.part_final_coin, 1, 0);
part_type_blend(global.part_final_coin, true);
part_type_direction(global.part_final_coin, 0, 360, 0, 0);
part_type_orientation(global.part_final_coin, direction, direction, 0, 0, 0);
part_type_life(global.part_final_coin, 30, 60);
part_type_shape(global.part_final_coin, pt_shape_sphere);
part_type_color_hsv(global.part_final_coin, 33, 73, 68, 108, 230, 255);
part_type_speed(global.part_final_coin, 0.3, 0.6, -0.01, 0);
part_type_scale(global.part_final_coin, 0.1, 0.1);
